org.apache.tinkerpop.gremlin.structure

## Class EdgeTest.BasicEdgeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.EdgeTest.BasicEdgeTest

- Enclosing class:
    EdgeTest

      public static class EdgeTest.BasicEdgeTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicEdgeTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAutotypeBooleanProperties()`
    `void` | `shouldAutotypeDoubleProperties()`
    `void` | `shouldAutotypeFloatProperties()`
    `void` | `shouldAutotypeIntegerProperties()`
    `void` | `shouldAutotypeLongProperties()`
    `void` | `shouldAutotypeStringProperties()`
    `void` | `shouldGetPropertyKeysOnEdge()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingNullEdgeLabel()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingNullVertex()`
    `void` | `shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel()`
    `void` | `shouldHaveStandardStringRepresentation()`
    `void` | `shouldNotGetConcurrentModificationException()`
    `void` | `shouldNotHaveAConcurrentModificationExceptionWhenIteratingAndRemovingAddingEdges()`
    `void` | `shouldReturnEmptyIteratorIfNoProperties()`
    `void` | `shouldReturnOutThenInOnVertexIterator()`
    `void` | `shouldValidateEquality()`
    `void` | `shouldValidateIdEquality()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicEdgeTest

          public BasicEdgeTest()

  - ### Method Detail

    - #### shouldValidateEquality

          public void shouldValidateEquality()

    - #### shouldValidateIdEquality

          public void shouldValidateIdEquality()

    - #### shouldHaveStandardStringRepresentation

          public void shouldHaveStandardStringRepresentation()

    - #### shouldHaveExceptionConsistencyWhenUsingNullEdgeLabel

          public void shouldHaveExceptionConsistencyWhenUsingNullEdgeLabel()

    - #### shouldHaveExceptionConsistencyWhenUsingNullVertex

          public void shouldHaveExceptionConsistencyWhenUsingNullVertex()

    - #### shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel

          public void shouldHaveExceptionConsistencyWhenUsingEmptyVertexLabel()

    - #### shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel

          public void shouldHaveExceptionConsistencyWhenUsingSystemVertexLabel()

    - #### shouldAutotypeStringProperties

          public void shouldAutotypeStringProperties()

    - #### shouldAutotypeIntegerProperties

          public void shouldAutotypeIntegerProperties()

    - #### shouldAutotypeBooleanProperties

          public void shouldAutotypeBooleanProperties()

    - #### shouldAutotypeDoubleProperties

          public void shouldAutotypeDoubleProperties()

    - #### shouldAutotypeLongProperties

          public void shouldAutotypeLongProperties()

    - #### shouldAutotypeFloatProperties

          public void shouldAutotypeFloatProperties()

    - #### shouldGetPropertyKeysOnEdge

          public void shouldGetPropertyKeysOnEdge()

    - #### shouldNotGetConcurrentModificationException

          public void shouldNotGetConcurrentModificationException()

    - #### shouldNotHaveAConcurrentModificationExceptionWhenIteratingAndRemovingAddingEdges

          public void shouldNotHaveAConcurrentModificationExceptionWhenIteratingAndRemovingAddingEdges()

    - #### shouldReturnEmptyIteratorIfNoProperties

          public void shouldReturnEmptyIteratorIfNoProperties()

    - #### shouldReturnOutThenInOnVertexIterator

          public void shouldReturnOutThenInOnVertexIterator()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.